<!DOCTYPE html>
<html>
<head>
  <title>Tabla de empleados con Bootstrap</title>
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-GLhlTQ8iRABdZLl6O3oVMWSktQOp6b7In1Zl3/Jr59b6EGGoI1aFkw7cmDA6j6gD" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.bundle.min.js" integrity="sha384-w76AqPfDkMBDXo30jS1Sgez6pr3x5MlQ1ZAGC+nuZB+EYdgRZgiwxhTBTkF7CXvN" crossorigin="anonymous"></script>
<body>
  <div class="container">
    <h1>Tabla de empleados</h1>
    <table class="table">
      <thead class="thead-dark">
        <tr>
          <th>Nombre</th>
          <th>Apellido</th>
          <th>Edad</th>
          <th>Puesto</th>
        </tr>
      </thead>
      <tbody id="tablaEmpleados">
      </tbody>
    </table>
  </div>

  <script>
    // Cargar los datos de empleados.json
    fetch('Empleados.json')
      .then(response => response.json())
      .then(data => {
        // Recorrer el array de empleados y agregar cada uno a la tabla
        data.empleados.forEach(empleado => {
          const row = document.createElement('tr');
          const nombreCell = document.createElement('td');
          const apellidoCell = document.createElement('td');
          const edadCell = document.createElement('td');
          const puestoCell = document.createElement('td');

          nombreCell.innerText = empleado.nombre;
          apellidoCell.innerText = empleado.apellido;
          edadCell.innerText = empleado.edad;
          puestoCell.innerText = empleado.puesto;

          row.appendChild(nombreCell);
          row.appendChild(apellidoCell);
          row.appendChild(edadCell);
          row.appendChild(puestoCell);

          document.getElementById('tablaEmpleados').appendChild(row);
        });
      });
  </script>
</body>
</html>